org.apache.tapestry5.ioc.internal.services

## Class LoggingDecoratorImpl

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.services.LoggingDecoratorImpl

- All Implemented Interfaces:
    LoggingDecorator

      @PreventServiceDecoration
      public class LoggingDecoratorImpl
      extends java.lang.Object
      implements LoggingDecorator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingDecoratorImpl(AspectDecorator aspectDecorator, LoggingAdvisor advisor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `build(java.lang.Class<T> serviceInterface, T delegate, java.lang.String serviceId, org.slf4j.Logger logger)` Builds a logging interceptor instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingDecoratorImpl

          public LoggingDecoratorImpl(AspectDecorator aspectDecorator,
                                      LoggingAdvisor advisor)

  - ### Method Detail

    - #### build

          public <T> T build(java.lang.Class<T> serviceInterface,
                             T delegate,
                             java.lang.String serviceId,
                             org.slf4j.Logger logger)

      Description copied from interface: `LoggingDecorator`
      Builds a logging interceptor instance.
      Specified by:
        `build` in interface `LoggingDecorator`
      Parameters:
        `serviceInterface` - interface implemented by the delegate
        `delegate` - existing object to be wrapped
        `serviceId` - id of service
        `logger` - log used for debug level logging messages by the interceptor
      Returns:
        a new object implementing the interface that can be used in place of the delegate, providing logging behavior around each method call on the service interface

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.